.fab-container {
    position: fixed;
    top: 35px;
    right: 25px;
    z-index: 100;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
}

.sidenav-container {
    height: 100%;
}

.sidenav {
    width: 200px;
    border-right: none;
    box-shadow: 1px 0 4px rgb(0, 0, 0, .24)
}

.mat-toolbar {
    position: sticky;
    top: 0;
    z-index: 2;
}

.avatarImage {
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--primary-light-color);
    border-radius: 50%;
    color: var(--primary-color);
    cursor: pointer;
}

mat-nav-list {
    margin-top: 20px;
    background: var(--color-white);
    max-height: calc(100vh - 100px);
    overflow: auto;
    border-radius: 0 16px 16px 0;
    box-shadow: var(--shadow);
    .mat-mdc-list-item {
        border-radius: 0 !important;
        height: 40px;
    }

    .mat-mdc-list-item:hover , .active {
        border-left: 4px solid var(--primary-color);
        background-color: var(--primary-light-color);
    }
}

::ng-deep .mdc-list-item__primary-text {
    color: var(--primary-color) !important;
    font-size: 14px !important;
    font-weight: 700 !important;
    font-family: var(--Rauth-Light) !important;
}

.mat-drawer {
    border-top-right-radius: 0px !important;
    background-color: var(--color-light-grey) !important;
    box-shadow: none !important;
}


.profile-block {
    position: absolute;
    right: 2rem;
    background: var(--color-light-grey);
    border-radius: 1.5rem;
    padding: 1rem;
    min-width: 16rem;
    max-width: 23rem;
    box-shadow: 0px 4px 16px rgba(0, 0, 0, .16);
    font-weight: 500;
    top: 3.75rem;
    z-index: 200;

    .profile-name {
        height: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0 -1rem 0.25rem;
        border-bottom: 1px solid var(--color-light-primary-grey);
    }

    .theme-block {
        margin: 0 -1rem 1rem;
    }

    .theme-block-background {
        font-size: 1rem;
        display: flex;
        align-items: center;
        padding: .5rem 1rem 1rem;
        border-bottom: 1px solid var(--color-light-primary-grey);
        cursor: pointer;
    }
    .opt-theme{
        height: 2rem;
        width: 2rem;
        border-radius: 0.25rem;
    }
    .opt-theme:hover , .selected-theme{
        border: 2px solid var(--color-black);
    }
    .opt-theme-1{
        background: #0078AD;
    }
    .opt-theme-2{
        background: #aa0023;
    }
    .opt-theme-3{
        background: #79007f;
    }
}

.pos-fixed {
    position: fixed;
    height: 100vh;
    width: 100vw;
    top: 0;
    left: 0;
    z-index: 199;
}